Support » Plugin: Nelio Content - Social Media Marketing Automation » html_entity_decode() expects parameter 2 to be long, string given in

  • html_entity_decode() expects parameter 2 to be long, string given in /www/web/xxxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php on line 388

    i try to connect linkedin, and then i creat a new post, it appears this warning. Pls help me deal with it, i like this plugin, thx

Viewing 6 replies - 1 through 6 (of 6 total)
  • and when i published it, it also appeared this warning:

    Warning: html_entity_decode() expects parameter 2 to be long, string given in /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php on line 387

    Warning: html_entity_decode() expects parameter 2 to be long, string given in /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php on line 388

    Warning: html_entity_decode() expects parameter 2 to be long, string given in /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php on line 387

    Warning: html_entity_decode() expects parameter 2 to be long, string given in /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php on line 388

    Warning: Cannot modify header information – headers already sent by (output started at /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php:387) in /www/web/xxxxxx/public_html/blog/wp-admin/post.php on line 198

    Warning: Cannot modify header information – headers already sent by (output started at /www/web/xxxxxx/public_html/blog/wp-content/plugins/nelio-content/admin/class-nelio-content-post-helper.php:387) in /www/web/xxxxxx/public_html/blog/wp-includes/pluggable.php on line 1216

    Plugin Author David Aguilera

    (@davilera)

    Hi Angelina!

    According to your log, the offending line that generates the warning is:

    'title' => html_entity_decode( wp_strip_all_tags( $this->get_the_title( $post ) ), ENT_HTML5 ),

    As you can read in the official PHP documentation, ENT_HTML5 was introduced in PHP 5.4.0. I recommend you update your server so that it uses a newer PHP version.

    you mean i need update our website server? but i dont know how to do it and i dont understand network.

    Plugin Author David Aguilera

    (@davilera)

    you mean i need update our website server?

    Yes, you need to update the PHP version installed in your web server.

    but i dont know how to do it and i dont understand network.

    You need to contact your hosting provider and ask them to do that. I’m quite surprised they’re still running such an old version of PHP, so I really encourage you to get that fix soon.

    ok, i still want to know whether the plugin can support autopost my edited post to facebook, twitter, google+, pinterest, linkedin… is that free?

    Plugin Author David Aguilera

    (@davilera)

    After you write a post, you simply need to click on _Create Social Messages Automatically_ and it’ll generate multiple social messages for all your connected networks (or you can create them manually). If you’re not subscribed, only one message per profile per post will be published, right after the post is published. So yes, that part is free 😉

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘html_entity_decode() expects parameter 2 to be long, string given in’ is closed to new replies.